Subject: Re: [PATCH v7 0/9] Repack objects into separate packfiles based on a filter

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Sep 2023 12:14:00 -0700

Christian Couder <[email-masked]> writes:

> # Changes since version 6
>
> Thanks to Junio who reviewed or commented on versions 1, 2, 3, 4 and
> 5, and to Taylor who reviewed or commented on version 1, 3, 4, 5 and
> 6!  Thanks also to Robert Coup who participated in the discussions
> related to version 2 and Peff who participated in the discussions
> related to version 4. There are only the following changes since
> version 6:
>
> - This series has been rebased on top of bcb6cae296 (The twelfth
>   batch, 2023-09-22) to fix conflicts with a `builtin/repack.c`
>   refactoring patch series called tb/repack-existing-packs-cleanup by
>   Taylor Blau that recently graduated to 'master':
>
> 	https://lore.kernel.org/git/[email-masked]/
> 	https://lore.kernel.org/git/[email-masked]/
>
> - Patch 6/9 (repack: add `--filter=<filter-spec>` option) has been
>   reworked to apply on top of the above mentioned patch series.
>   Taylor even posted the fixup patch to apply to this series so that
>   it works well on top of his series:
>   
>     https://lore.kernel.org/git/[email-masked]/

Thanks, both, for working well together.

Will replace and merge to 'seen'.  Let's see others supporting the
change to chime in, and get it merged to 'next' soonish.  I gave a
quick cursory look and changes to rebuild on the "existing packs
cleanup" topic all looked sensible.